
Figure - Bug #112388
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】打开或者关闭小窗模式时，桌面壁纸消失，闪过白底
2022-10-08 18:05 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221008.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-10-11

Test Type: IT Root cause: 进入退出小窗时动画影响壁纸的可见性，目前方案暂且去掉动画，之后根绝需要再增加

Description

【前提条件】

1、设备已开机

2、后台未运行任何应用

【测试步骤】

1、长按桌面上任意一个支持小窗的应用（如“图库”）

2、在弹出的菜单中点击“小窗”

【预期结果】

2、正常进入或关闭小窗模式

【实际结果】

3、打开或者关闭小窗模式时，桌面壁纸消失，闪过白底

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-10-09 14:52 - DL FW-王琳

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-王琳 to DL FW-张挽强

初步分析可能是窗口的动画影响的，这个问题要10/12版本解决，优先看一下的

#2 - 2022-10-09 18:12 - DL FW-王琳

■ Current state

初步验证是窗口动画引起的问题，尝试把动画去掉后，验证没有闪白的问题。
■ My Analyze

确认去掉窗口动画的影响范围，没有问题后，再提交。

#3 - 2022-10-11 09:43 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-11

- Root cause set to 进入退出小窗时动画影响壁纸的可见性，目前方案暂且去掉动画，之后根绝需要再增加

#4 - 2022-10-11 10:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2022-10-11 10:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154144 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:Turn the freeform mode on or off, and the wallpaper flashes white1.Modify entry and exit animationTC-RID: 1201-0204601IssueID:

TS-R-BUG-112388Change-Id: Ia1a8a9fcfc19300c75681faa4246d84629caed5d

#7 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154677 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:Keep freeform to enter and exit the animation1.Keep freeform to enter and exit the animationChange-Id:

I6b8c7f5910814d361a5bf0388eab7ad7eafcc018TC-RID: 1201-0204601IssueID: TS-R-BUG-112388

Files

Phone-5221FC0 2022-10-08 17-55-09.mp4 10.4 MB 2022-10-08 CD TEST-方永红

111.txt 5.54 MB 2022-10-08 CD TEST-方永红
